Subject: PropertyMapper chokes on Objects that are already converted
Description

I've noticed that the PropertyMapper chokes on Objects which are already in the Target form. 
This happened to me with the TYPO3.Form Project in case where the DatePickerViewHelper already transforms the Value to a
DateTime and the FormHandler later tries to map it again which fails because he isn't supposed to handle objects.

In this case i would suggest, to check if the source property is of the target property and skip it in that case.

Here's the origination ticket:
http://forge.typo3.org/issues/36722#note-8

Subtasks:
Bug # 40661: The PropertyMapper can still choke on compositeTypes like collection<entity> Resolved
  Bug # 44215: The PropertyMapper can still choke on compositeTypes like collection<entity> Resolved
Related issues:
related to TYPO3.Form - Feature # 36722: Support identifiers with special cha... Resolved 2012-04-30
related to TYPO3.Flow - Bug # 39445: PropertyMapper chokes on Objects that ar... Resolved 2012-12-25
blocks Foo.ContentManagement - Major Feature # 37293: Refactor Admin to work ... New 2012-05-18

Associated revisions
Revision 6695a4cb - 2012-06-18 16:40 - Sebastian Kurfuerst

[BUGFIX] Property Mapper chokes on already-converted objects

This happens for example when using the TYPO3.Form Project with a DatePicker,
which already transforms the value to the correct data type.

Change-Id: I884d4a82d41f4c5687536e46b56def8d1d86f9e8
Fixes: #36988
Releases: 1.1, 1.2

Revision c2caff24 - 2012-06-18 16:41 - Sebastian Kurfuerst

[BUGFIX] Property Mapper chokes on already-converted objects

This happens for example when using the TYPO3.Form Project with a DatePicker,
which already transforms the value to the correct data type.

Change-Id: I884d4a82d41f4c5687536e46b56def8d1d86f9e8
Fixes: #36988
Releases: 1.1, 1.2

History
#1 - 2012-05-13 14:38 - Marc Neuhaus
- File PropertyMapper.diff added
- Assigned To set to Sebastian Kurfuerst

Here's a little Patch to check if the source is an object and return it if it's an instance of the target type.

#2 - 2012-05-14 18:21 - Bastian Waidelich
- Subject changed from PropertyMapper chokes on Objects which are already in the target form to PropertyMapper chokes on Objects that are already 
converted
- Category set to Property
- Target version set to 1.1 beta 1

#3 - 2012-05-15 15:19 - Karsten Dambekalns
- Target version changed from 1.1 beta 1 to 1.1

#4 - 2012-05-25 09:40 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 RC1

#5 - 2012-05-30 12:24 - Sebastian Kurfuerst
- Status changed from New to Accepted
- Priority changed from Should have to Must have

#6 - 2012-05-30 12:36 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11724

#7 - 2012-06-18 16:40 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11724

#8 - 2012-06-18 16:42 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12168

#9 - 2012-06-18 17:38 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:c2caff2490ee39b6b5c032fe713c315f72e00e7a.

#10 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3

Files
PropertyMapper.diff 518 Bytes 2012-05-13 Marc Neuhaus
